<?php

require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if (!comprobar_sesion()) {
    $ar = array();
    $ar['error'] = 'session';
    echo json_encode($ar);
    exit;
}
require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));

if (isset($_POST['oper']) || isset($_POST['opernots'])) {
    $acction = $_POST['opernots'];
    $codigo = $_POST['idnots']; //codigo del regidtro

    $txtnomnota = escapar($_POST['txtnomnota']);
    $txtpornota = escapar($_POST['txtpornota']);
    $txtfecnota = escapar($_POST['txtfecnota']);
    $txtdescnota = escapar($_POST['txtdescnota']);
    $cod_saber = escapar($_POST['txtcodsaber']);
    $acction = (!empty($acction)) ? $acction : $_POST['oper'];
    $codigo = (!empty($codigo)) ? $codigo : $_POST['id'];

    switch ($acction) {
        case 'del':
#            $sql = "delete from `conf_detnotasxsaber`  WHERE `cod_nota` = '$codigo';";
            $sql = "call SP_VERIFICA_PORCENTAJES_NOTAS('$codigo','', '', '', '', '')";
            break;
        case 'edit';
            $sql = "UPDATE conf_detnotasxsaber SET nombre_nota = '$txtnomnota', porc_nota = '$txtpornota', fec_nota = '$txtfecnota', desc_nota = '$txtdescnota' WHERE cod_nota = '$codigo';";
            #echo $sql;
            break;
        case 'new':
            #$sql = "INSERT INTO conf_detnotasxsaber (cod_saber, nombre_nota, porc_nota, fec_nota, desc_nota)
            #			VALUES ('$cod_saber', '$txtnomnota', '$txtpornota', '$txtfecnota', '$txtfecnota');";
            $sql = "call SP_VERIFICA_PORCENTAJES_NOTAS(NULL,'$cod_saber', '$txtnomnota', '$txtpornota', '$txtfecnota', '$txtdescnota')";
            break;
        default:
            $sql = ""; 
    }


    if ($sql != '') {
        $academia->instruccion($sql);
        if ($acction == 'new') {
            $r = $academia->extraer_registro();
            $rta = array('error' => $academia->extraer_error(), 'id' => $r['rowid'], 'acc' => 'new');
            echo json_encode($rta);
        } else {
            $rta = array('error' => $academia->extraer_error(), 'id' => $codigo, 'acc' => $acction);
            echo json_encode($rta);
        }
    }
}
$academia->cerrar();
?>